- Main Page
- Related Pages
- Namespaces
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# Cairo::logic_error Class Reference

Inheritance diagram for Cairo::logic_error:
[legend]

List of all members.

## Public Member Functions
| logic_error (ErrorStatus status)
virtual | ~logic_error () throw ()
ErrorStatus | get_status_code () const

## Constructor & Destructor Documentation

Cairo::logic_error::logic_error | ( | ErrorStatus | status | ) | `[explicit]`

virtual Cairo::logic_error::~logic_error | ( |  | ) | throw ()`[virtual]`

## Member Function Documentation

ErrorStatus Cairo::logic_error::get_status_code | ( |  | ) | const

The documentation for this class was generated from the following file:

- cairomm/exception.h